<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:26 CEST 2019 -->
<title>DatabaseListenerDispatcher (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DatabaseListenerDispatcher (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/DefaultDatabaseListener.html" title="class in org.firebirdsql.gds.ng.listeners"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/listeners/DatabaseListenerDispatcher.html" target="_top">Frames</a></li>
<li><a href="DatabaseListenerDispatcher.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.listeners</div>
<h2 title="Class DatabaseListenerDispatcher" class="title">Class DatabaseListenerDispatcher</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">org.firebirdsql.gds.ng.listeners.AbstractListenerDispatcher</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.listeners.DatabaseListenerDispatcher</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a>&gt;, <a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">DatabaseListenerDispatcher</span>
extends <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">AbstractListenerDispatcher</a>&lt;<a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a>&gt;
implements <a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a></pre>
<div class="block">Dispatcher to maintain and notify other <a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><code>DatabaseListener</code></a>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListenerDispatcher.html#DatabaseListenerDispatcher--">DatabaseListenerDispatcher</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListenerDispatcher.html#detached-org.firebirdsql.gds.ng.FbDatabase-">detached</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database)</code>
<div class="block">Called when the <code>database</code> connection has been detached</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListenerDispatcher.html#detaching-org.firebirdsql.gds.ng.FbDatabase-">detaching</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database)</code>
<div class="block">Called before the <code>database</code> will be detached.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListenerDispatcher.html#warningReceived-org.firebirdsql.gds.ng.FbDatabase-java.sql.SQLWarning-">warningReceived</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database,
               <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLWarning.html?is-external=true" title="class or interface in java.sql">SQLWarning</a>&nbsp;warning)</code>
<div class="block">Called when a warning was received for the <code>database</code> connection.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.listeners.AbstractListenerDispatcher">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.listeners">AbstractListenerDispatcher</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#addListener-TListener-">addListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#addWeakListener-TListener-">addWeakListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#isShutdown--">isShutdown</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#iterator--">iterator</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#removeAllListeners--">removeAllListeners</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#removeListener-TListener-">removeListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/AbstractListenerDispatcher.html#shutdown--">shutdown</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#forEach-java.util.function.Consumer-" title="class or interface in java.lang">forEach</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#spliterator--" title="class or interface in java.lang">spliterator</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DatabaseListenerDispatcher--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DatabaseListenerDispatcher</h4>
<pre>public&nbsp;DatabaseListenerDispatcher()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="detaching-org.firebirdsql.gds.ng.FbDatabase-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>detaching</h4>
<pre>public&nbsp;void&nbsp;detaching(<a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#detaching-org.firebirdsql.gds.ng.FbDatabase-">DatabaseListener</a></code></span></div>
<div class="block">Called before the <code>database</code> will be detached.
 <p>
 This event is intended for cleanup action, implementer should take care that
 no exceptions are thrown from this method.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#detaching-org.firebirdsql.gds.ng.FbDatabase-">detaching</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - The database object that is detaching</dd>
</dl>
</li>
</ul>
<a name="detached-org.firebirdsql.gds.ng.FbDatabase-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>detached</h4>
<pre>public&nbsp;void&nbsp;detached(<a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#detached-org.firebirdsql.gds.ng.FbDatabase-">DatabaseListener</a></code></span></div>
<div class="block">Called when the <code>database</code> connection has been detached</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#detached-org.firebirdsql.gds.ng.FbDatabase-">detached</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - The database object that was detached</dd>
</dl>
</li>
</ul>
<a name="warningReceived-org.firebirdsql.gds.ng.FbDatabase-java.sql.SQLWarning-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>warningReceived</h4>
<pre>public&nbsp;void&nbsp;warningReceived(<a href="../../../../../org/firebirdsql/gds/ng/FbDatabase.html" title="interface in org.firebirdsql.gds.ng">FbDatabase</a>&nbsp;database,
                            <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLWarning.html?is-external=true" title="class or interface in java.sql">SQLWarning</a>&nbsp;warning)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#warningReceived-org.firebirdsql.gds.ng.FbDatabase-java.sql.SQLWarning-">DatabaseListener</a></code></span></div>
<div class="block">Called when a warning was received for the <code>database</code> connection.
 <p>
 In implementation it is possible that some warnings are not sent to listeners on the database, but only to
 listeners on
 specific connection derived objects (like an <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><code>FbStatement</code></a> implementation).
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html#warningReceived-org.firebirdsql.gds.ng.FbDatabase-java.sql.SQLWarning-">warningReceived</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners">DatabaseListener</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - Database receiving the warning</dd>
<dd><code>warning</code> - Warning</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/DatabaseListener.html" title="interface in org.firebirdsql.gds.ng.listeners"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/listeners/DefaultDatabaseListener.html" title="class in org.firebirdsql.gds.ng.listeners"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/listeners/DatabaseListenerDispatcher.html" target="_top">Frames</a></li>
<li><a href="DatabaseListenerDispatcher.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
